websocket-sharp : WebSocketSharp Namespace

# MessageEventArgs Class

Contains the event data associated with a WebSocket.OnMessage event.

## Syntax

public class MessageEventArgs : EventArgs

## Remarks

The WebSocket.OnMessage event occurs when the WebSocket receives a text or binary data frame. If you want to get the received data, you should access the MessageEventArgs.Data or MessageEventArgs.RawData properties.

## Requirements

Namespace: WebSocketSharp
Assembly: websocket-sharp (in websocket-sharp.dll)
Assembly Versions: 1.0.2.36581

## Members

See Also: Inherited members from EventArgs.

## Public Properties

[read-only] | Data | string . Gets the received data as a string.
[read-only] | RawData | byte[]. Gets the received data as an array of byte.
[read-only] | Type | WebSocketSharp.Frame.Opcode . Gets the type of received data.

## Extension Methods

static

IsNull<T> (this T) : bool

> Determines whether the specified object is `null`.

static

IsNullDo<T> (this T, Action) : bool

> Determines whether the specified object is `null`. And invokes the specified Action delegate if the specified object is `null`.

## Member Details

### Data Property

> Gets the received data as a string.

> ## Syntax

> public string Data { get; }

> #### Value

> > A string that contains a received data.

> ## Remarks

> Documentation for this section has not yet been entered.

> ## Requirements

> Namespace: WebSocketSharp
> Assembly: websocket-sharp (in websocket-sharp.dll)
> Assembly Versions: 1.0.2.36581

### RawData Property

> Gets the received data as an array of byte.

> ## Syntax

> public byte[] RawData { get; }

> #### Value

> > An array of byte that contains a received data.

> ## Remarks

> Documentation for this section has not yet been entered.

> ## Requirements

> Namespace: WebSocketSharp
> Assembly: websocket-sharp (in websocket-sharp.dll)
> Assembly Versions: 1.0.2.36581

### Type Property

> Gets the type of received data.

> ## Syntax

> public WebSocketSharp.Frame.Opcode Type { get; }

> #### Value

> > One of the WebSocketSharp.Frame.Opcode that indicates the type of received data.

> ## Remarks

> Documentation for this section has not yet been entered.

> ## Requirements

> Namespace: WebSocketSharp
> Assembly: websocket-sharp (in websocket-sharp.dll)
> Assembly Versions: 1.0.2.36581